org.codehaus.groovy.groovydoc

## Interface GroovyParameter

- All Known Implementing Classes:
    SimpleGroovyParameter

      public interface GroovyParameter

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `GroovyAnnotationRef[]` | `annotations()`
    `java.lang.String` | `defaultValue()`
    `java.lang.String` | `name()`
    `GroovyType` | `type()`
    `java.lang.String` | `typeName()`

- - ### Method Detail

    - #### annotations

          GroovyAnnotationRef[] annotations()

    - #### name

          java.lang.String name()

    - #### type

          GroovyType type()

    - #### typeName

          java.lang.String typeName()

    - #### defaultValue

          java.lang.String defaultValue()